org.apache.struts2.portlet.util

## Class PortletUrlHelperJSR286

- java.lang.Object
- - org.apache.struts2.portlet.util.PortletUrlHelper
  - - org.apache.struts2.portlet.util.PortletUrlHelperJSR286

-     public class PortletUrlHelperJSR286
      extends PortletUrlHelper

  PortletUrlJSR286Helper.
  Author:
    Rene Gielen

- - ### Field Summary

    - ### Fields inherited from class org.apache.struts2.portlet.util.PortletUrlHelper

      `ENCODING, PORTLETMODE_NAME_EDIT, PORTLETMODE_NAME_HELP, PORTLETMODE_NAME_VIEW, URLTYPE_NAME_ACTION, URLTYPE_NAME_RESOURCE`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `PortletUrlHelperJSR286()`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `protected Object` | `createUrl(String scheme, String type, Map<String,String[]> portletParams)`
    `protected String` | `encodeUrl(StringBuffer sb, javax.portlet.PortletRequest req)`

    - ### Methods inherited from class org.apache.struts2.portlet.util.PortletUrlHelper

      `buildResourceUrl, buildUrl, buildUrl, ensureParamsAreStringArrays`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### PortletUrlHelperJSR286

          public PortletUrlHelperJSR286()

  - ### Method Detail

    - #### encodeUrl

          protected String encodeUrl(StringBuffer sb,
                                     javax.portlet.PortletRequest req)

      Overrides:
        `encodeUrl` in class `PortletUrlHelper`

    - #### createUrl

          protected Object createUrl(String scheme,
                                     String type,
                                     Map<String,String[]> portletParams)

      Overrides:
        `createUrl` in class `PortletUrlHelper`

Copyright © 2000–2026 Apache Software Foundation. All rights reserved.